
Redmine - Feature #1845

Add New Wiki formatting Item

2008-09-03 05:09 - Shih-Yuan Lee

Status: Closed Start date: 2008-09-03

Priority: Normal Due date:  

Assignee: Mischa The Evil % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

The "Links to others resources" of http://www.redmine.org/help/wiki_syntax_detailed.html

Suggest to add the following.

News:

Redmine 0.7.3 released (link to news with id 17)

news:Greetings (link to the news with title "Greetings")

news:"Some news" (double quotes can be used when news title contains spaces)

Related issues:

Related to Redmine - Feature #9600: Wiki links for news and forums Closed 2011-11-18

Related to Redmine - Feature #13497: Document all available Redmine links pro... Closed

History

#1 - 2008-11-10 21:16 - Karl Heinz Marbaise

- Category set to Wiki

#2 - 2010-02-25 02:18 - Rex McConnell

- File application_helper.rb.patch added

DISCLAIMER: Firstly, I have only been using Redmine for a month now. Secondly, I have never touched Ruby before.

Attached is a patch I made for redmine/app/helpers/application_helper.rb that implements wiki links for "News" resources. I am not sure if it is 100%

complete and/or accurate, but it seems to be working flawlessly on v0.9.0.

I hope it helps others looking to make wiki links to their news. :)

#3 - 2011-12-05 00:30 - Mischa The Evil

- Category changed from Wiki to Documentation

- Assignee set to Mischa The Evil

Superseded by #9600, implemented with r7840 for Redmine 1.3.0. This commit remains to be documented though.

# forum

forum#2                          => link to forum with ID 2

forum:Discussion                 => link to forum with name 'Discussion'

# news

news#1                           => link to news item with ID 1

news:"eCookbook first release !" => link to news item with name 'eCookbook first release !'

#4 - 2013-10-12 04:58 - Mischa The Evil

- Status changed from New to Closed

Mischa The Evil wrote:

[...] This commit remains to be documented though. [...]

 Documentation added to RedmineTextFormatting. The inclusion of this documentation in source:/trunk/public/help/en/wiki_syntax_detailed.html will
follow via issue #13497.

#5 - 2013-10-12 05:13 - Mischa The Evil

- Related to Feature #13497: Document all available Redmine links properly added

Files

application_helper.rb.patch 2.38 KB 2010-02-25 Rex McConnell
